Skip to main content
GET
/
api
/
orgs
/
{id}
/
notifications
List current member notifications
curl --request GET \
  --url https://atollhq.com/api/orgs/{id}/notifications \
  --header 'Authorization: Bearer <token>'
{
  "notifications": [
    {
      "id": "<string>",
      "org_id": "<string>",
      "recipient_member_id": "<string>",
      "event_type": "<string>",
      "resource_type": "<string>",
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "recipient_auth_user_id": "<string>",
      "actor_member_id": "<string>",
      "actor_id": "<string>",
      "resource_id": "<string>",
      "issue_id": "<string>",
      "project_id": "<string>",
      "comment_id": "<string>",
      "title": "<string>",
      "body": "<string>",
      "message": "<string>",
      "target_path": "<string>",
      "dedupe_key": "<string>",
      "read_at": "2023-11-07T05:31:56Z",
      "archived_at": "2023-11-07T05:31:56Z",
      "acknowledged_at": "2023-11-07T05:31:56Z",
      "snoozed_until": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id identifier

Query Parameters

limit
integer
Required range: 1 <= x <= 100

Response

Successful response

notifications
object[]
required